<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Notifications/test/NotificationRendererTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a></li><li class="navelem"><a class="el" href="dir_35f1e9d19ee9e871d448e65c4f9b1090.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">NotificationRendererTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;future&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;random&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_mock_media_player_8h_source.html">AVSCommon/Utils/MediaPlayer/MockMediaPlayer.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_notification_renderer_8h_source.html">Notifications/NotificationRenderer.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for NotificationRendererTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_notification_renderer_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2test_2_notification_renderer_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2test_2_notification_renderer_test_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_notifications_2test_2_notification_renderer_test_8cpp">
<area shape="rect" id="node8" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1757,119,1933,157"/>
<area shape="rect" id="node26" href="_mock_media_player_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MockMediaPlayer.h" alt="" coords="429,205,637,244"/>
<area shape="rect" id="node35" href="_notification_renderer_8h.html" title="Notifications/Notification\lRenderer.h" alt="" coords="915,119,1079,157"/>
<area shape="rect" id="node13" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1837,292,2051,331"/>
<area shape="rect" id="node18" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1586,292,1762,331"/>
<area shape="rect" id="node19" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1913,205,2089,244"/>
<area shape="rect" id="node24" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1576,205,1773,244"/>
<area shape="rect" id="node25" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2116,205,2292,244"/>
<area shape="rect" id="node20" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="2074,292,2250,331"/>
<area shape="rect" id="node22" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="2213,379,2389,417"/>
<area shape="rect" id="node27" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="892,292,1080,331"/>
<area shape="rect" id="node28" href="_media_player_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerInterface.h" alt="" coords="181,292,389,331"/>
<area shape="rect" id="node33" href="_stopwatch_8h.html" title="AVSCommon/Utils/Timing\l/Stopwatch.h" alt="" coords="645,292,819,331"/>
<area shape="rect" id="node30" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="492,379,694,417"/>
<area shape="rect" id="node32" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="111,385,333,411"/>
<area shape="rect" id="node31" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="513,465,675,504"/>
<area shape="rect" id="node37" href="_media_player_observer_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerObserverInterface.h" alt="" coords="1034,205,1251,244"/>
<area shape="rect" id="node39" href="_notification_renderer_interface_8h.html" title="NotificationRendererInterface.h" alt="" coords="1357,299,1563,324"/>
<area shape="rect" id="node38" href="_error_types_8h.html" title="AVSCommon/Utils/MediaPlayer\l/ErrorTypes.h" alt="" coords="413,292,621,331"/>
<area shape="rect" id="node40" href="_notification_renderer_observer_interface_8h.html" title="NotificationRendererObserver\lInterface.h" alt="" coords="1274,379,1472,417"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_mock_notification_renderer_observer.html">alexaClientSDK::capabilityAgents::notifications::test::MockNotificationRendererObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_future_promise_pair.html">alexaClientSDK::capabilityAgents::notifications::test::FuturePromisePair</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_notification_renderer_test.html">alexaClientSDK::capabilityAgents::notifications::test::NotificationRendererTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html">alexaClientSDK::capabilityAgents::notifications</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html">alexaClientSDK::capabilityAgents::notifications::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a5a149f0a3faabe604586521f88cf274b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a5a149f0a3faabe604586521f88cf274b">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationRendererTest, test_createWithNullMediaPlayer)</td></tr>
<tr class="separator:a5a149f0a3faabe604586521f88cf274b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9437a867ec788db33f1456051cd98a6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#ae9437a867ec788db33f1456051cd98a6">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationRendererTest, test_playPreferredStream)</td></tr>
<tr class="separator:ae9437a867ec788db33f1456051cd98a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf4d84695cc9f7271f8f4d1787f30d97"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#aaf4d84695cc9f7271f8f4d1787f30d97">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationRendererTest, test_playDefaultStream)</td></tr>
<tr class="separator:aaf4d84695cc9f7271f8f4d1787f30d97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2492cb5773aef385612ca9e4951d8985"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a2492cb5773aef385612ca9e4951d8985">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationRendererTest, test_secondPlayRejected)</td></tr>
<tr class="separator:a2492cb5773aef385612ca9e4951d8985"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67f9107c583ffae2725c76328bd05a89"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a67f9107c583ffae2725c76328bd05a89">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationRendererTest, test_secondPlayWhilePlayingDefaultStream)</td></tr>
<tr class="separator:a67f9107c583ffae2725c76328bd05a89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12c3b34dfc2764440bcef326cd6bff54"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a12c3b34dfc2764440bcef326cd6bff54">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationRendererTest, test_cancelNotificationRendering)</td></tr>
<tr class="separator:a12c3b34dfc2764440bcef326cd6bff54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab489030854c75e1f1b20211a0047caf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#aab489030854c75e1f1b20211a0047caf">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationRendererTest, test_renderNotificationWhileNotifying)</td></tr>
<tr class="separator:aab489030854c75e1f1b20211a0047caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee97c59bea41825b98802c4ca7f0203"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#aaee97c59bea41825b98802c4ca7f0203">alexaClientSDK::capabilityAgents::notifications::test::TEST_F</a> (NotificationRendererTest, testShutdown)</td></tr>
<tr class="separator:aaee97c59bea41825b98802c4ca7f0203"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad52853ab4e74bbb69250b03f9b07fcc7"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#ad52853ab4e74bbb69250b03f9b07fcc7">alexaClientSDK::capabilityAgents::notifications::test::ZERO_TIMEOUT</a> {0}</td></tr>
<tr class="memdesc:ad52853ab4e74bbb69250b03f9b07fcc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout value to use when no wait is desired (e.g. to check the status of a signal)  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#ad52853ab4e74bbb69250b03f9b07fcc7">More...</a><br /></td></tr>
<tr class="separator:ad52853ab4e74bbb69250b03f9b07fcc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebb920ac0c99d00599c63722c9fe5c7b"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#aebb920ac0c99d00599c63722c9fe5c7b">alexaClientSDK::capabilityAgents::notifications::test::EXPECTED_TIMEOUT</a> {100}</td></tr>
<tr class="memdesc:aebb920ac0c99d00599c63722c9fe5c7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">(short) Timeout value to use when reaching the timeout is expected.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#aebb920ac0c99d00599c63722c9fe5c7b">More...</a><br /></td></tr>
<tr class="separator:aebb920ac0c99d00599c63722c9fe5c7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63520a886fd2f371a217e2d14aca33ad"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a63520a886fd2f371a217e2d14aca33ad">alexaClientSDK::capabilityAgents::notifications::test::UNEXPECTED_TIMEOUT</a> {5000}</td></tr>
<tr class="memdesc:a63520a886fd2f371a217e2d14aca33ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">(long) Timeout value to use when reaching the timeout is NOT expected.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a63520a886fd2f371a217e2d14aca33ad">More...</a><br /></td></tr>
<tr class="separator:a63520a886fd2f371a217e2d14aca33ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15bdc796ca59308f62fa1865b92d3fc9"><td class="memItemLeft" align="right" valign="top">static std::function&lt; std::unique_ptr&lt; std::istream &gt;)&gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html#a15bdc796ca59308f62fa1865b92d3fc9">alexaClientSDK::capabilityAgents::notifications::test::goodStreamFunction</a></td></tr>
<tr class="separator:a15bdc796ca59308f62fa1865b92d3fc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
